import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { HomePageComponent } from './home-page.component';
import { HomePageRoutingModule } from './home-page-routing.module';
import { PrimeNGModules } from 'packages/commons/prime-ng/prime-ng.module';

import { SettingComponent as DiscoverySettingComponent } from 'packages/discovery/component/setting/setting.component';
import { DiscoveryModule } from 'packages/discovery/discovery.module';
@NgModule({
  imports: [
    CommonModule,
    HomePageRoutingModule,
    PrimeNGModules,
    DiscoveryModule
  ],
  entryComponents: [
    DiscoverySettingComponent
  ],
  declarations: [HomePageComponent]
})
export class HomePageModule { }
